Subject: bug#23814: 24.5; bug of hz coding-system

From: [email-masked]
Date: Wed, 17 Aug 2016 15:33:29 +0900

Hi, I tried new china-util.el. It works very well.

handa <[email-masked]> writes:
> Hi, sorry for the late response.  I've just noticed that my reply mail
> didn't go out successfully.  I'm trying to re-send it.

>> How to treat unencodable characters on encoding is a difficult problem.
>> As HZ is designed for 7-bit environment, I think it's important to keep
>> 7-bit on encoding.  So, the new code uses \uXXXX for those characters.
>> Another way is to use UTF-8 sequence for them, then we can decode it
>> back.  Which, do yo think, is better?

I prefer 7bit encoding to use only 7bit data, too.
As for elisp, "\u12345" is treated as "\u1234\ 5".